--- title: "General configuration" slug: "general-configuration" tags: ["Reference"] updated: 2026-09-03T18:40:43Z published: 2026-09-03T18:40:43Z canonical: "docs.trellix.com/general-configuration" --- > ## Documentation Index > Fetch the complete documentation index at: https://docs.trellix.com/llms.txt > Use this file to discover all available pages before exploring further. # General configuration ### API URL `<ips-api-base>/global/config` ### Sample curl request `curl -gsvk -H "$c" "https://<host>/wsapis/v2.0.0/ips/global/config"` `curl -gsvk -H "$c" --header "Content-Type: application/json" --data '{"ips_feature_license_required":false,` `"auto_rules_update_enabled":true,"ips_feature_licensed":false,"feature_adware_supported":false,` `"ips_enabled":false,"recon_rules_enabled":false,"ips_feature_active":false,"riskware_enabled":false,` `"blockmode_enabled":false}' "https://<host>/wsapis/v2.0.0/ips/global/config"` ### Authentication Standard WSAPI authentication ### Method `GET - fetch asyn job status` `POST - update config` ### Response ``` HTTP OK with JSON representation of general config { "ips_feature_license_required": false, "auto_rules_update_enabled": true, "ips_feature_licensed": false, "feature_adware_supported": false, "ips_enabled": false, "recon_rules_enabled": false, "ips_feature_active": false, "riskware_enabled": false, "blockmode_enabled": false } ``` ### Response mime type `application/json` ### HTTP response codes - 200 - no errors - 401 - auth error - 400 - invalid data - 429 - system busy, try after some time - 500 - internal error :